WPSTextParser::DataFOD Struct Reference documentation

WPSTextParser::DataFOD Struct Reference

structure which retrieves data information which correspond to a text position More...

`#include <WPSTextParser.h>`

## Public Types
enum | Type { ATTR_TEXT , ATTR_PARAG , ATTR_PLC , ATTR_UNKN }
| different type which can be associated to a text position More...

## Public Member Functions
| DataFOD ()
| the constructor

## Public Attributes
Type | m_type
| the type of the attribute
long | m_pos
| the offset position of the text modified by this attribute
long | m_defPos
| the offset position of the definition of the attribute in the file
int | m_id
| an identificator (which must be unique by category)

## Detailed Description

structure which retrieves data information which correspond to a text position

## Member Enumeration Documentation

## ◆ Type

enum WPSTextParser::DataFOD::Type

different type which can be associated to a text position

ATTR_TEXT: all text attributes (font, size, ...) ATTR_PARAG: all paragraph attributes (margin, tabs, ...) ATTR_PLC: other attribute (note, fields ... )

Enumerator
ATTR_TEXT |
ATTR_PARAG |
ATTR_PLC |
ATTR_UNKN |

## Constructor & Destructor Documentation

## ◆ DataFOD()

WPSTextParser::DataFOD::DataFOD | ( |  | ) |
| inline

the constructor

## Member Data Documentation

## ◆ m_defPos

long WPSTextParser::DataFOD::m_defPos

the offset position of the definition of the attribute in the file

Referenced by DataFOD().

## ◆ m_id

int WPSTextParser::DataFOD::m_id

an identificator (which must be unique by category)

Referenced by WPS8Text::bmktEndDataParser(), DataFOD(), WPS4Text::readText(), WPS8Text::readText(), and WPS8Text::tokenEndDataParser().

## ◆ m_pos

long WPSTextParser::DataFOD::m_pos

the offset position of the text modified by this attribute

Referenced by WPS8Text::bmktEndDataParser(), DataFOD(), WPSTextParser::mergeSortedFODLists(), WPSTextParser::readFDP(), WPS4Text::readPLC(), WPS8Text::readPLC(), WPS4Text::readText(), WPS8Text::readText(), and WPS8Text::tokenEndDataParser().

## ◆ m_type

Type WPSTextParser::DataFOD::m_type

the type of the attribute

Referenced by WPS8Text::bmktEndDataParser(), DataFOD(), WPSTextParser::readFDP(), WPS4Text::readPLC(), WPS8Text::readPLC(), WPS4Text::readText(), WPS8Text::readText(), and WPS8Text::tokenEndDataParser().

The documentation for this struct was generated from the following file:

- WPSTextParser.h